Index: trunk/ab5.0/abdev/abdev/TabCtrl.cpp
===================================================================
--- trunk/ab5.0/abdev/abdev/TabCtrl.cpp	(revision 825)
+++ trunk/ab5.0/abdev/abdev/TabCtrl.cpp	(revision 828)
@@ -357,5 +357,5 @@
 		// タブ枠を描画
 		////////////////////////////
-		colorGray=reinterpret_cast<ItemInfo*>( item.lParam )->Color;
+		colorGray=item.lParam ? reinterpret_cast<ItemInfo*>( item.lParam )->Color : RGB(0xcc, 0xcc, 0xcc);
 
 		//ブラシを生成
@@ -412,5 +412,5 @@
 		// タブ枠を描画
 		////////////////////////////
-		colorGray=reinterpret_cast<ItemInfo*>( item.lParam )->Color;
+		colorGray=item.lParam ? reinterpret_cast<ItemInfo*>( item.lParam )->Color : RGB(0xcc, 0xcc, 0xcc);
 
 		//ブラシを生成
Index: trunk/ab5.0/abdev/abdev/TextEditor_EventProc.cpp
===================================================================
--- trunk/ab5.0/abdev/abdev/TextEditor_EventProc.cpp	(revision 825)
+++ trunk/ab5.0/abdev/abdev/TextEditor_EventProc.cpp	(revision 828)
@@ -29,4 +29,5 @@
 int hide_caret_switch;
 
+const UINT WM_IME_REQUEST = 0x0288;
 LRESULT CALLBACK TextEditProc(HWND hwnd,UINT message,WPARAM wParam,LPARAM lParam){
 	extern HANDLE hHeap;
Index: trunk/ab5.0/abdev/abdev/TextEditor_MouseEvent.cpp
===================================================================
--- trunk/ab5.0/abdev/abdev/TextEditor_MouseEvent.cpp	(revision 825)
+++ trunk/ab5.0/abdev/abdev/TextEditor_MouseEvent.cpp	(revision 828)
@@ -69,5 +69,5 @@
 
 		//カーソルを矢印マークにする
-		SetCursor(LoadCursor(hResInst,MAKEINTRESOURCE(IDC_CURSOR_ARROW_TO_RIGHT)));
+		SetCursor(ActiveBasic::Resource::LoadCursorAlt(hResInst, IDC_CURSOR_ARROW_TO_RIGHT));
 
 		GetNaturalCaretPos_Click(WndNum,
@@ -129,5 +129,5 @@
 
 		//カーソルを矢印マークにする
-		SetCursor(LoadCursor(hResInst,MAKEINTRESOURCE(IDC_CURSOR_ARROW_TO_RIGHT)));
+		SetCursor(ActiveBasic::Resource::LoadCursorAlt(hResInst, IDC_CURSOR_ARROW_TO_RIGHT));
 	}
 
@@ -255,5 +255,5 @@
 
 			//カーソルを矢印マークにする
-			SetCursor(LoadCursor(hResInst,MAKEINTRESOURCE(IDC_CURSOR_ARROW_TO_RIGHT)));
+			SetCursor(ActiveBasic::Resource::LoadCursorAlt(hResInst, IDC_CURSOR_ARROW_TO_RIGHT));
 
 			return;
@@ -321,5 +321,5 @@
 
 		//カーソルを矢印マーク（デフォルト）にする
-		SetCursor(LoadCursor(hResInst,MAKEINTRESOURCE(IDC_CURSOR_ARROW_TO_RIGHT)));
+		SetCursor(ActiveBasic::Resource::LoadCursorAlt(hResInst, IDC_CURSOR_ARROW_TO_RIGHT));
 
 		return;
Index: trunk/ab5.0/abdev/abdev/WindowControl.cpp
===================================================================
--- trunk/ab5.0/abdev/abdev/WindowControl.cpp	(revision 825)
+++ trunk/ab5.0/abdev/abdev/WindowControl.cpp	(revision 828)
@@ -2172,5 +2172,8 @@
 	char temporary[MAX_PATH],temp2[1024];
 
-	if(!DialogBox(hResInst,MAKEINTRESOURCE(IDD_PROJECT_NEWWINDOW),hOwner,(DLGPROC)DlgProject_NewWindow)) return;
+	if (!ActiveBasic::Resource::DialogBoxAlt(hResInst, IDD_PROJECT_NEWWINDOW, hOwner, DlgProject_NewWindow))
+	{
+		return;
+	}
 
 	//重複チェック
Index: trunk/ab5.0/abdev/abdev/abdev.cpp
===================================================================
--- trunk/ab5.0/abdev/abdev/abdev.cpp	(revision 825)
+++ trunk/ab5.0/abdev/abdev/abdev.cpp	(revision 828)
@@ -2,4 +2,8 @@
 
 #include "abdev.h"
+
+#if _ATL_VER == 0x0800
+#pragma comment(lib, "atlthunk.lib")
+#endif
 
 #ifdef _DEBUG
@@ -910,6 +914,11 @@
 	SHFILEINFO shfi;
 	if(filepath)
+	{
 		SHGetFileInfo(filepath, FILE_ATTRIBUTE_ARCHIVE, &shfi, sizeof(SHFILEINFO), SHGFI_ICON | SHGFI_SMALLICON );
-	else shfi.hIcon=(HICON)LoadImage(hResInst,MAKEINTRESOURCE(IDI_TEXTDOCUMENT),IMAGE_ICON,16,16,LR_DEFAULTCOLOR);;
+	}
+	else
+	{
+		shfi.hIcon = ActiveBasic::Resource::LoadIconAlt(hResInst, IDI_TEXTDOCUMENT, 16, 16, LR_DEFAULTCOLOR);
+	}
 	mdic.lParam=(LPARAM)shfi.hIcon;
 
@@ -1489,4 +1498,7 @@
 	return RegisterClassEx(&wcl);
 }
+
+#ifndef AB_TEST
+
 int PASCAL WinMain(HINSTANCE hThisInst,HINSTANCE,LPSTR lpCmdLine,int ShowCmd){
 #ifdef _DEBUG
@@ -1540,6 +1552,5 @@
 	//return 0;
 
-
-	hAccel=LoadAccelerators(hResInst,MAKEINTRESOURCE(IDR_ACCELERATOR1));
+	hAccel = ActiveBasic::Resource::LoadAcceleratorsAlt(hResInst, IDR_ACCELERATOR1);
 
 	//メインウィンドウ
@@ -1644,2 +1655,4 @@
 	return static_cast<int>(msg.wParam);
 }
+
+#endif
Index: trunk/ab5.0/abdev/abdev/abdev.h
===================================================================
--- trunk/ab5.0/abdev/abdev/abdev.h	(revision 825)
+++ trunk/ab5.0/abdev/abdev/abdev.h	(revision 828)
@@ -5,26 +5,26 @@
 
 #ifdef THETEXT
-LPSTR DefFileFilter="テキスト ファイル(*.txt)\0*.txt\0HTMLファイル(*.htm;*html)\0*.htm;*html\0CGIファイル(*.cgi;*.pl)\0*.cgi;*.pl\0PHPファイル(*.php)\0*.php\0テンプレート ファイル(*.tpl)\0*.tpl\0すべてのファイル(*.*)\0*\0\0";
+extern const LPCSTR DefFileFilter="テキスト ファイル(*.txt)\0*.txt\0HTMLファイル(*.htm;*html)\0*.htm;*html\0CGIファイル(*.cgi;*.pl)\0*.cgi;*.pl\0PHPファイル(*.php)\0*.php\0テンプレート ファイル(*.tpl)\0*.tpl\0すべてのファイル(*.*)\0*\0\0";
 #else
-LPSTR DefFileFilter="プログラム ファイル(*.ab;*.abp;*.bas;*.sbp)\0*.ab;*.abp;*.bas;*sbp\0プロジェクト(*.pj)\0*.pj\0テキスト ファイル(*.txt)\0*.txt\0すべてのファイル(*.*)\0*\0\0";
+extern const LPCSTR DefFileFilter="プログラム ファイル(*.ab;*.abp;*.bas;*.sbp)\0*.ab;*.abp;*.bas;*sbp\0プロジェクト(*.pj)\0*.pj\0テキスト ファイル(*.txt)\0*.txt\0すべてのファイル(*.*)\0*\0\0";
 #endif
 
-LPSTR HtmlFileFilter="HTMLファイル(*.html;*.htm)\0*.html;*.htm\0すべてのファイル(*.*)\0*\0\0";
-LPSTR TextFileFilter="テキスト ファイル(*.txt)\0*.txt\0すべてのファイル(*.*)\0*\0\0";
+extern const LPCSTR HtmlFileFilter="HTMLファイル(*.html;*.htm)\0*.html;*.htm\0すべてのファイル(*.*)\0*\0\0";
+extern const LPCSTR TextFileFilter="テキスト ファイル(*.txt)\0*.txt\0すべてのファイル(*.*)\0*\0\0";
 
-LPSTR ProjectFileFilter="プロジェクト(*.pj)\0*.pj\0\0";
-LPSTR BitmapFileFilter="ビットマップ(*.bmp)\0*.bmp\0\0";
-LPSTR IconFileFilter="アイコン(*.ico)\0*.ico\0\0";
-LPSTR CursorFileFilter="カーソル(*.cur)\0*.cur\0\0";
+extern const LPCSTR ProjectFileFilter="プロジェクト(*.pj)\0*.pj\0\0";
+extern const LPCSTR BitmapFileFilter="ビットマップ(*.bmp)\0*.bmp\0\0";
+extern const LPCSTR IconFileFilter="アイコン(*.ico)\0*.ico\0\0";
+extern const LPCSTR CursorFileFilter="カーソル(*.cur)\0*.cur\0\0";
 
-LPSTR ExeFileFilter="実行可能ファイル(*.exe)\0*.exe\0\0";
+extern const LPCSTR ExeFileFilter="実行可能ファイル(*.exe)\0*.exe\0\0";
 
 #else
 //英語
-LPSTR DefFileFilter="Program files (*.ab;*.abp;*.bas;*.sbp)\0*.ab;*.abp;*.bas;*sbp\0Project templates (*.pj)\0*.pj\0Text files (*.txt)\0*.txt\0All files(*.*)\0*\0\0";
-LPSTR ProjectFileFilter="Project templates (*.pj)\0*.pj\0\0";
-LPSTR BitmapFileFilter="Bitmap files (*.bmp)\0*.bmp\0\0";
-LPSTR IconFileFilter="Icon files (*.ico)\0*.ico\0\0";
-LPSTR CursorFileFilter="Cursor files (*.cur)\0*.cur\0\0";
+extern const LPCSTR DefFileFilter="Program files (*.ab;*.abp;*.bas;*.sbp)\0*.ab;*.abp;*.bas;*sbp\0Project templates (*.pj)\0*.pj\0Text files (*.txt)\0*.txt\0All files(*.*)\0*\0\0";
+extern const LPCSTR ProjectFileFilter="Project templates (*.pj)\0*.pj\0\0";
+extern const LPCSTR BitmapFileFilter="Bitmap files (*.bmp)\0*.bmp\0\0";
+extern const LPCSTR IconFileFilter="Icon files (*.ico)\0*.ico\0\0";
+extern const LPCSTR CursorFileFilter="Cursor files (*.cur)\0*.cur\0\0";
 #endif
 
